Create a Risk for a Participant
post
/public/v1/participants/{participant}/risksparticipantstringrequiredThe participant UUID
Body
application/jsontitlestringrequiredmax length 255descriptionstringrequiredmax length 6000likelihoodenum<integer>requiredAvailable options:54312consequenceenum<integer>requiredAvailable options:14235residual_likelihoodenum<integer>requiredAvailable options:54312risk_toenum<string>requiredAvailable options:businessothersparticipantstaffstatusenum<string>requiredAvailable options:activereview_frequencyenum<string>requiredAvailable options:annuallymonthlyquarterlysix-monthlyweeklyvisible_to_support_workersbooleanrisk_management_typeenum<string>Available options:activestaticcontrolsobject[]max items 100▶Show 2 child attributesHide child attributes
titlestringrequiredmax length 255descriptionstring | nullmax length 65535Limited to 65535 bytes.
Response
200application/jsonParticipantRiskResource
dataobjectrequired▶Show 18 child attributesHide child attributes
idstringrequiredExample:r1i2s3k4-d5e6-47f8-9a0b-1c2d3e4f5a6btitlestringrequiredExample:Falls risk during transfersdescriptionstring | nullrequiredExample:Participant has a history of fallslikelihoodintegerrequiredExample:possibleconsequenceintegerrequiredExample:moderateresidual_likelihoodintegerrequiredExample:unlikelyinherent_riskobjectrequired▶Show 2 child attributesHide child attributes
scoreintegerrequiredExample:12levelenum<string>requiredAvailable options:catastrophichighlowmoderate
residual_riskobjectrequired▶Show 2 child attributesHide child attributes
scoreintegerrequiredExample:12levelenum<string>requiredAvailable options:catastrophichighlowmoderate
risk_tostringrequiredExample:participantstatusstringrequiredExample:activerisk_management_typestringrequiredExample:treatreview_frequencystringrequiredExample:quarterlyvisible_to_support_workersbooleanrequiredExample:falselast_reviewed_atstring | nullrequiredExample:2024-01-15T10:30:00+00:00next_review_atstringrequiredExample:2024-04-15T10:30:00+00:00archived_atstring | nullrequiredExample:2024-01-15T10:30:00+00:00created_atstringrequiredExample:2024-01-15T10:30:00+00:00controlsobject[]required▶Show 4 child attributesHide child attributes
idstringrequiredExample:c1o2n3t4-r5o6-47l8-9a0b-1c2d3e4f5a6btitlestringrequiredExample:Use transfer beltdescriptionstring | nullrequiredExample:Always use a transfer belt when assistingcreated_atstringrequiredExample:2024-01-15T10:30:00+00:00
401Unauthenticated403Authorization error404Not found422Validation error